unit fmPrmptDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ImgList, ExtCtrls, Registry;

type
  TfrmPrmptDlg = class(TForm)
    bitbtnOK: TBitBtn;
    BitBtnCancel: TBitBtn;
    BitBtnHelp: TBitBtn;
    lblCaption: TLabel;
    cbRemind: TCheckBox;
    img1: TImage;
    Img2: TImage;
    Img3: TImage;
    Img4: TImage;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
  public
    FRegPath, FKeyName: String;
  end;

var
  frmPrmptDlg: TfrmPrmptDlg;

implementation

{$R *.DFM}


{ TfrmPrmptDlg }


procedure TfrmPrmptDlg.FormClose(Sender: TObject;
  var Action: TCloseAction);
var
  aRegistry: TRegistry;
begin
  try
    aRegistry := TRegistry.Create;
    aRegistry.RootKey := Hkey_Current_User;
    aRegistry.OpenKey(FRegPath, true);
    aRegistry.WriteBool(FKeyName, not(cbRemind.Checked));
  finally
    aRegistry.Free;
    aRegistry := nil;
  end;
end;
end.
